sxml-loader
===========
[![License: GPL v3](https://img.shields.io/badge/License-GPLv3-blue.svg)](https://www.gnu.org/licenses/gpl-3.0)
[![Build status](http://drone.vilor.one/api/badges/vilor/sxml-loader/status.svg)](http://drone.vilor.one/vilor/sxml-loader)
[![Package version](https://img.shields.io/npm/v/sxml-loader)](https://npmjs.com/sxml-loader)

<div align="center">
  <img width="100" height="100" alt="Scheme"
    src="https://upload.wikimedia.org/wikipedia/commons/3/39/Lambda_lc.svg"/>
  <img width="100" height="100" alt="Webpack"
    src="https://raw.githubusercontent.com/webpack/media/master/logo/icon-square-small.svg"/>
</div>

Scheme XML loader for webpack.

This loader uses _GNU Guile_ as the Scheme interpreter and its _SXML_ module.
How to work with it, see the
[official manual](https://www.gnu.org/software/guile/manual/html_node/SXML.html).

Usage
-----
_See the full example in the [example](example) directory._

**webpack.config.js**:
```js
module.exports = {
  module: {
    // ...
    rules: [
      {
        test: /\.sxml$/,
        use: ['html-loader', 'sxml-loader'],
      },
    ],
    // ...
  },
}
```

Options
-------
```
| Option         | Description                                            |
| ============== | ====================================================== |
| doctype        | The document type at the top of the markup.            |
|                | `html` by default                                      |
| -------------- | ------------------------------------------------------ |
| expr           | A Scheme expression that processes your markup.        |
|                | Insert `SXML_LOADER_CONTENT` where you want to process |
|                | the markup list.                                       |
| -------------- | ------------------------------------------------------ |
| afterTranslate | A hook called after the SXML to HTML translation       |
|                | is complete. `afterTranslate(markup: string): string`  |
```

License
-------
GPLv3 or later. See full text in the [COPYING](COPYING) file
or in GNU website: https://www.gnu.org/licenses/gpl-3.0-standalone.html
