const path = require('path');
const HtmlWebpackPlugin = require('html-webpack-plugin');

module.exports = {
    module: {
        rules: [
            {
                test: /\.sxml$/,
                use: ['html-loader', 'sxml-loader'],
            },
        ],
    },
    resolveLoader: {
        alias: {
            'sxml-loader': path.resolve(__dirname, '../loader.js'),
        },
    },
    plugins: [
        new HtmlWebpackPlugin({
            inject: 'body',
            scriptLoading: 'blocking',
            template: 'src/index.sxml',
            filename: 'index.html',
            minify: false,
        }),
    ],
}
